LibreOffice: MergeRecoveryRequest Exception Reference

LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
MergeRecoveryRequest Exception Reference

is passed to an InteractionHandler when merging fails due to invalid layer data or access problems. More...

`import "MergeRecoveryRequest.idl";`

Inheritance diagram for MergeRecoveryRequest:

## Public Attributes
any | ErrorDetails
| data that provides more detailed information about the reason and location of the error.
string | ErrorLayerId
| Identifier of the layer object containing the invalid data.
boolean | IsRemovalRequest
| specifies whether the requester wants to remove or skip the invalid layer.
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown.
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception.

## Detailed Description

is passed to an InteractionHandler when merging fails due to invalid layer data or access problems.

Since
  OOo 2.0

## Member Data Documentation

## ◆ ErrorDetails

any ErrorDetails

data that provides more detailed information about the reason and location of the error.

Typically this member should contain an exception characterizing the error in detail.

For example the following exceptions may be used:

MalformedException

  for layers containing invalid data.

BackendAccessException
  for layers that can't be accessed.

If no more detail information is available, this may be left VOID.

## ◆ ErrorLayerId

string ErrorLayerId

Identifier of the layer object containing the invalid data.

## ◆ IsRemovalRequest

boolean IsRemovalRequest

specifies whether the requester wants to remove or skip the invalid layer.

If TRUE the requester wants to remove the underlying data of the layer.
If FALSE the request is to skip the underlying data this time, but without removing it.

The documentation for this exception was generated from the following file:

- com/sun/star/configuration/backend/MergeRecoveryRequest.idl